# version

Displays the version of SpecSync and the license information available based on the current project location.

The license information is displayed based on the configuration and license files available at the current folder. Alternatively you can specify a different configuration file or license file.

## Options

In addition the the options listed here, all [common command line options](/specsync/reference/command-line-reference.md#common-command-line-options) can also be used, except the user credential specific options, like `--user`.

| Option         | Description                                                                                             | Default                                                      |
| -------------- | ------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| `-b`\|`--bare` | Only displays the product version and does not attempt to check the configuration and the license file. | Version, release date and license information are displayed. |

## Examples

Displays the version and license information based on the license and configuration files in the current folder:

```
C:\Work\MyCalculator\MyCalculator.Specs> dotnet specsync version

SpecSync for Azure DevOps v1.2.3 (7/1/2021)
Copyright © 2016-2021 Spec Solutions

Enterprise license for Spec Solutions, valid until 2023/04/07, support code: XXXXX
(Please provide the support code for reporting incidents or license renewal.)

Configuration loaded from:
  C:\Work\MyCalculator\MyCalculator.Specs\specsync.json
  C:\Users\gaspar\AppData\Local\SpecSync\specsync.json
```

Displays version and license information of a specific license file:

```
dotnet specsync version --license C:\MyProject\specsync.lic
```

Displays the bare product version:

```
> dotnet specsync version --bare

1.2.3
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/reference/command-line-reference/version-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
